| ghc-6.10.4: The GHC API | Contents | Index

Maybes

Synopsis

module Data.Maybe

data MaybeErr err val

= Succeeded val
| Failed err

failME :: err -> MaybeErr err val
isSuccess :: MaybeErr err val -> Bool
orElse :: Maybe a -> a -> a
mapCatMaybes :: (a -> Maybe b) -> [a] -> [b]
allMaybes :: [Maybe a] -> Maybe [a]
firstJust :: [Maybe a] -> Maybe a
expectJust :: String -> Maybe a -> a
maybeToBool :: Maybe a -> Bool

newtype MaybeT m a = MaybeT {

runMaybeT :: m (Maybe a)

}

Documentation
module Data.Maybe
data MaybeErr err val

Constructors

Succeeded val |
Failed err |

Instances

Monad (MaybeErr err)

failME :: err -> MaybeErr err val
isSuccess :: MaybeErr err val -> Bool
orElse :: Maybe a -> a -> a
mapCatMaybes :: (a -> Maybe b) -> [a] -> [b]
allMaybes :: [Maybe a] -> Maybe [a]
Collects a list of `Justs` into a single `Just`, returning `Nothing` if there are any `Nothings`.
firstJust :: [Maybe a] -> Maybe a
Takes a list of `Maybes` and returns the first `Just` if there is one, or `Nothing` otherwise.
expectJust :: String -> Maybe a -> a
maybeToBool :: Maybe a -> Bool
newtype MaybeT m a

Constructors

MaybeT |

runMaybeT :: m (Maybe a) |

Instances

Monad m => Monad (MaybeT m)
Functor m => Functor (MaybeT m)

Produced by Haddock version 2.4.2